Endpoints
Search Geo Political Entities
Search for geopolitical entities by keyword and return the most relevant matches, ordered by name.
Authorization
APIKeyHeader licensex-api-key<token>
In: header
Scope: license
Query Parameters
query?|
The query to search for.
skip?Skip
The number of results to skip, when paging.
Default
0Range
0 <= value <= 1000take?Take
The number of results to return, ordered by name.
Default
10Range
0 <= value <= 100gpeTypes?array<>|
Graph node types to keep. Omitted returns every GPE topic.
Response Body
application/json
application/json
curl -X GET "https://connect-api.trendtracker.ai/geo-political-entities"{
"data": [
{
"id": "string",
"name": "string",
"gpeTypes": [
"city"
]
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}